#include "../../source/tensor/data/DataSet.h"
#include <fstream>
#include <iostream>
#include <string>
#include "../tensor/core/arithmetic/MatrixMul.h"
using namespace nts;



void TestDataManager() {

	DataSet dataSet("src.txt", 2, 100);


	XTensor src, tgt;
	enum FIELD {
		srcField = 0,
		tgtField = 1,
	};

	const int indices[] = { 0, 1 };
	dataSet.LoadBatch(src, indices, sizeof(indices) / sizeof(*indices), srcField);
	dataSet.LoadBatch(tgt, indices, sizeof(indices) / sizeof(*indices), tgtField);

	IntList str(10);
	for (int i = 9; i > 0; --i) {
		str.Add(i);
	}
	str.Add('\0');
	for (int i = 0; i < str.count; ++i)
		cout << str.Get(i);
	cout << endl;
	str.Sort(10);
	for (int i = 0; i < str.count; ++i)
		cout << str.Get(i);
	cout << endl;

}

int main()
{
	TestDataManager();
	return 0;
}